Author Topic: New eBox 1.5 packages for Ubuntu 10.04 Lucid  (Read 12737 times)

J. A. Calvo

  • Zentyal Staff
  • Zen Hero
  • *****
  • Posts: 1986
  • Karma: +67/-3
    • View Profile
    • http://blogs.zentyal.org/jacalvo
Re: New eBox 1.5 packages for Ubuntu 10.04 Lucid
« Reply #15 on: April 21, 2010, 12:28:24 pm »
Note that 1.5 is unstable, I don't recommend any transition until 2.0 is out, if by transition you mean upgrading an existing system.
Zentyal Server Lead Developer

Saturn2888

  • Zen Hero
  • *****
  • Posts: 707
  • Karma: +1/-0
    • View Profile
Re: New eBox 1.5 packages for Ubuntu 10.04 Lucid
« Reply #16 on: April 21, 2010, 08:07:02 pm »
I mean in general. Moving from 1.4 to 1.5 for testing purposes or 1.4 to 2.0. How will the OS upgrade work in w/ the eBox upgrade? What should I do to sources.list since I customized it?

Svein Wisnaes

  • Zen Samurai
  • ****
  • Posts: 325
  • Karma: +5/-0
  • A Norwegian living in Brazil
    • View Profile
    • Oceanwatcher Media | Svein Wisnaes
Re: New eBox 1.5 packages for Ubuntu 10.04 Lucid
« Reply #17 on: May 01, 2010, 09:34:34 pm »
I am running the latest stable on my home server right now, but would not mind going to 1.5 as this will allow me to run apt-cacher NG on the server (this SHOULD be a module in eBox! It is one of the most useful tools when you have more than one PC in your network running Linux!) among other things.

What is the best way of upgrading to 1.5 and make sure no settings etc. are lost?
Regards,

Oceanwatcher
Do NOT use PM for support. This is a community forum and support is not on a one-on-one basis.
READ BEFORE POSTING - How to make a good post - click here

J. A. Calvo

  • Zentyal Staff
  • Zen Hero
  • *****
  • Posts: 1986
  • Karma: +67/-3
    • View Profile
    • http://blogs.zentyal.org/jacalvo
Re: New eBox 1.5 packages for Ubuntu 10.04 Lucid
« Reply #18 on: May 02, 2010, 11:34:13 am »
What is the best way of upgrading to 1.5 and make sure no settings etc. are lost?

As 1.5 is not a stable version, there is no way to assure that everything will be fine after the upgrade...
Zentyal Server Lead Developer

macho

  • Zen Apprentice
  • *
  • Posts: 2
  • Karma: +0/-0
    • View Profile
Re: New eBox 1.5 packages for Ubuntu 10.04 Lucid
« Reply #19 on: May 12, 2010, 08:41:23 am »
Hi!

I'm new to ebox (and right now I have to find out how to help you) and therefore I'm probably wrong here.
I wanted to test the new 1.5 release - installed ubuntu lucid 64bit server and added the repository - then i installed all things related to ebox (to be sure that nothig is left out).
Theres not Problem enabling the Network in the Modules Status - but whenever I'd like to enable "Users and Groups" (and save the changes made) there is a big error:

A really nasty bug has occurred
Exception
Failed to enable: root command ldapadd -H 'ldapi://' -Y EXTERNAL -c -f /var/lib/ebox/tmp/slapd-master.ldif failed. Error output: SASL/EXTERNAL authentication started SASL username: gidNumber=0+uidNumber=0,cn=peercred,cn=external,cn=auth SASL SSF: 0 ldap_modify: Inappropriate matching (18) additional info: modify/add: olcTLSCACertificateFile: no equality matching rule ldap_modify: Type or value exists (20) additional info: modify/add: olcAccess: value #0 already exists ldap_add: Naming violation (64) ldap_add: Other (e.g., implementation specific) error (80) additional info: olcAttributeTypes: Duplicate attributeType: "0.9.2342.19200300.100.1.2" ldap_add: Other (e.g., implementation specific) error (80) additional info: olcAttributeTypes: Duplicate attributeType: "1.3.6.1.1.1.1.2" ldap_add: Other (e.g., implementation specific) error (80) additional info: olcAttributeTypes: Duplicate attributeType: "2.16.840.1.113730.3.1.1" ldap_modify: Type or value exists (20) additional info: modify/add: olcAccess: value #0 already exists Command output: modifying entry "cn=config" modifying entry "olcDatabase={-1}frontend,cn=config" adding new entry "cn=module{0},cn=config" adding new entry "cn=cosine,cn=schema,cn=config" adding new entry "cn=nis,cn=schema,cn=config" adding new entry "cn=inetorgperson,cn=schema,cn=config" adding new entry "olcDatabase={1}hdb,cn=config" adding new entry "olcOverlay=syncprov,olcDatabase={1}hdb,cn=config" modifying entry "olcDatabase={0}config,cn=config" . Exit value: 20
Trace
Failed to enable: root command ldapadd -H 'ldapi://' -Y EXTERNAL -c -f /var/lib/ebox/tmp/slapd-master.ldif failed.
Error output: SASL/EXTERNAL authentication started
SASL username: gidNumber=0+uidNumber=0,cn=peercred,cn=external,cn=auth
SASL SSF: 0
ldap_modify: Inappropriate matching (18)
additional info: modify/add: olcTLSCACertificateFile: no equality matching rule
ldap_modify: Type or value exists (20)
additional info: modify/add: olcAccess: value #0 already exists
ldap_add: Naming violation (64)
ldap_add: Other (e.g., implementation specific) error (80)
additional info: olcAttributeTypes: Duplicate attributeType: "0.9.2342.19200300.100.1.2"
ldap_add: Other (e.g., implementation specific) error (80)
additional info: olcAttributeTypes: Duplicate attributeType: "1.3.6.1.1.1.1.2"
ldap_add: Other (e.g., implementation specific) error (80)
additional info: olcAttributeTypes: Duplicate attributeType: "2.16.840.1.113730.3.1.1"
ldap_modify: Type or value exists (20)
additional info: modify/add: olcAccess: value #0 already exists

Command output: modifying entry "cn=config"

modifying entry "olcDatabase={-1}frontend,cn=config"

adding new entry "cn=module{0},cn=config"

adding new entry "cn=cosine,cn=schema,cn=config"

adding new entry "cn=nis,cn=schema,cn=config"

adding new entry "cn=inetorgperson,cn=schema,cn=config"

adding new entry "olcDatabase={1}hdb,cn=config"

adding new entry "olcOverlay=syncprov,olcDatabase={1}hdb,cn=config"

modifying entry "olcDatabase={0}config,cn=config"

.
Exit value: 20 at /usr/share/perl5/EBox/CGI/ServiceModule/ConfigureModuleController.pm line 74
EBox::CGI::ServiceModule::ConfigureModuleController::_process('EBox::CGI::ServiceModule::ConfigureModuleController=HASH(0xbc...') called at /usr/share/perl5/EBox/CGI/Base.pm line 262
EBox::CGI::Base::run('EBox::CGI::ServiceModule::ConfigureModuleController=HASH(0xbc...') called at /usr/share/perl5/EBox/CGI/Run.pm line 120
EBox::CGI::Run::run('EBox::CGI::Run', 'ServiceModule/ConfigureModuleController', 'EBox') called at /usr/share/ebox/cgi/ebox.cgi line 19
ModPerl::ROOT::ModPerl::Registry::usr_share_ebox_cgi_ebox_2ecgi::handler('Apache2::RequestRec=SCALAR(0xbc046cb0)') called at /usr/lib/perl5/ModPerl/RegistryCooker.pm line 204
eval {...} called at /usr/lib/perl5/ModPerl/RegistryCooker.pm line 204
ModPerl::RegistryCooker::run('ModPerl::Registry=HASH(0xbc050690)') called at /usr/lib/perl5/ModPerl/RegistryCooker.pm line 170
ModPerl::RegistryCooker::default_handler('ModPerl::Registry=HASH(0xbc050690)') called at /usr/lib/perl5/ModPerl/Registry.pm line 31
ModPerl::Registry::handler('ModPerl::Registry', 'Apache2::RequestRec=SCALAR(0xbc046cb0)') called at -e line 0
eval {...} called at -e line 0

please point me to the correct page where to post this "bug?" and help you best in testing 1.5.
Probably I am doing something wrong but it's a standard installation of ubuntu with nothing special.. and only added the ebox repositorys from launchpad and installed ebox ..

So what to do next?

regards
macho

Saturn2888

  • Zen Hero
  • *****
  • Posts: 707
  • Karma: +1/-0
    • View Profile
Re: New eBox 1.5 packages for Ubuntu 10.04 Lucid
« Reply #20 on: May 12, 2010, 01:24:46 pm »
Out of all the other threads in the forums, I'd say you picked the best one.

J. A. Calvo

  • Zentyal Staff
  • Zen Hero
  • *****
  • Posts: 1986
  • Karma: +67/-3
    • View Profile
    • http://blogs.zentyal.org/jacalvo
Re: New eBox 1.5 packages for Ubuntu 10.04 Lucid
« Reply #21 on: May 12, 2010, 08:55:09 pm »
The nasty bug is fixed: http://trac.ebox-platform.com/changeset/17358

I will upload new 1.5 packages asap.
Zentyal Server Lead Developer

J. A. Calvo

  • Zentyal Staff
  • Zen Hero
  • *****
  • Posts: 1986
  • Karma: +67/-3
    • View Profile
    • http://blogs.zentyal.org/jacalvo
Re: New eBox 1.5 packages for Ubuntu 10.04 Lucid
« Reply #22 on: May 13, 2010, 03:14:34 am »
A new ebox-usersandgroups 1.5.1 package has already been published.

Remember that you can upgrade with:

apt-get update
apt-get install ebox-usersandgroups
Zentyal Server Lead Developer

Svein Wisnaes

  • Zen Samurai
  • ****
  • Posts: 325
  • Karma: +5/-0
  • A Norwegian living in Brazil
    • View Profile
    • Oceanwatcher Media | Svein Wisnaes
Re: New eBox 1.5 packages for Ubuntu 10.04 Lucid
« Reply #23 on: May 16, 2010, 10:15:00 pm »
So, I'll ask again - what is the best way of upgrading an existing system to 1.5?

In the spirit of helping with bug hunting etc. I would like to upgrade my running home-server to 1.5. And I am sure there are more people out there that would like to do it.

I have searched here and on Google without finding any description on how to upgrade.
« Last Edit: May 16, 2010, 10:26:04 pm by Oceanwatcher »
Regards,

Oceanwatcher
Do NOT use PM for support. This is a community forum and support is not on a one-on-one basis.
READ BEFORE POSTING - How to make a good post - click here

Saturn2888

  • Zen Hero
  • *****
  • Posts: 707
  • Karma: +1/-0
    • View Profile
Re: New eBox 1.5 packages for Ubuntu 10.04 Lucid
« Reply #24 on: May 17, 2010, 04:27:26 pm »
I was wondering about that too. I'm on 1.4 and know you need an OS and application upgrade to 1.5 (or 2.0) so I wanted to know the exact steps to do this especially if eBox is acting as the router for your networking.